> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets all non-archived Resource Configurations based on the provided filters

> Gets all non-archived Resource Configurations based on the provided filters.



## OpenAPI

````yaml /api-specs/cloud/public-api.json get /api/admin/v1/deploymentTargets/{deploymentTargetId}/resourceConfigurations
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/admin/v1/deploymentTargets/{deploymentTargetId}/resourceConfigurations:
    get:
      tags:
        - Model deployment
      summary: >-
        Gets all non-archived Resource Configurations based on the provided
        filters
      description: >-
        Gets all non-archived Resource Configurations based on the provided
        filters.
      operationId: getResourceConfigurations
      parameters:
        - description: Filter by Resource Configuration name
          in: query
          name: name
          required: false
          schema:
            type: string
        - description: >-
            How many Resource Configurations from the start to skip. Defaults to
            0.
          in: query
          name: offset
          required: false
          schema:
            default: 0
            type: integer
        - description: Max number of Resource Configurations to fetch. Defaults to 10.
          in: query
          name: limit
          required: false
          schema:
            default: 10
            type: integer
        - description: ID of Deployment Target that Resource Configuration belongs to.
          in: path
          name: deploymentTargetId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResourceConfigurations'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      security:
        - DominoApiKey: []
        - BearerAuthentication: []
components:
  schemas:
    PaginatedResourceConfigurations:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ResourceConfiguration'
          type: array
        metadata:
          $ref: '#/components/schemas/PaginatedMetadataV1'
      required:
        - items
        - metadata
      type: object
    ResourceConfiguration:
      description: Resource Configuration
      example:
        configuration:
          instanceType: m7g.medium
        deploymentTargetId: 1
        description: Medium AWS Instance
        id: 2
        name: Medium
      properties:
        configuration:
          description: >-
            Configuration of this Resource Configuration following the schema in
            its Deployment Target Type
          example:
            instance_type: m5.large
          type: object
        deploymentTargetId:
          description: ID of the Deployment Target this Resource Configuration belongs to
          type: string
        description:
          description: Description for the Resource Configuration
          type: string
        id:
          description: UUID for the Resource Configuration
          type: string
        lastModified:
          description: >-
            Timestamp of the last update to the resource configuration (will be
            the creation timestamp on creation)
          format: date-time
          type: string
        name:
          description: Internal name for the Resource Configuration
          example: gpu_large
          type: string
      required:
        - id
        - name
        - deploymentTargetId
        - configuration
        - lastModified
      type: object
    PaginatedMetadataV1:
      allOf:
        - $ref: '#/components/schemas/MetadataV1'
        - $ref: '#/components/schemas/PaginationV1'
      required:
        - pagination
        - requestId
        - notices
    ErrorV1:
      properties:
        code:
          description: Machine-readable error code.
          example: NOT_FOUND
          type: string
        message:
          description: Human-readable description of the error.
          example: The requested HPC Job could not be found.
          type: string
      required:
        - message
      type: object
    MetadataV1:
      properties:
        notices:
          description: Notices relating to the request
          items:
            type: string
          type: array
        requestId:
          type: string
      required:
        - requestId
        - notices
      type: object
    PaginationV1:
      properties:
        limit:
          description: Max number of objects returned
          type: integer
        offset:
          description: Number of object skipped forward from start of objects
          type: integer
        totalCount:
          description: Total number of available objects
          type: integer
      required:
        - offset
        - limit
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          example:
            code: UNAUTHORIZED
            message: Authentication is required to access this resource.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Unauthorized - authentication is required or has failed.
    '403':
      content:
        application/json:
          example:
            code: FORBIDDEN
            message: You do not have permission to perform this action.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Forbidden - the caller lacks permission to perform this action.
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    BearerAuthentication:
      type: apiKey
      name: Authorization
      in: header

````

## Related topics

- [Gets all non-archived Deployment Targets based on the provided filters](/api-reference/model-deployment/gets-all-non-archived-deployment-targets-based-on-the-provided-filters.md)
- [Gets all selectable non-archived Deployment Targets based on the provided filters](/api-reference/model-deployment/gets-all-selectable-non-archived-deployment-targets-based-on-the-provided-filters.md)
- [The python-domino library](/cloud/reference/python-sdk/python-domino.md)
- [Fetches a list of Project](/api-reference/projects/fetches-a-list-of-project.md)
